Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| IAIK PKCS#11 Wrapper version 1.2.18
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## iaik.pkcs.pkcs11
Interface Notify

public interface Notify

Interface for notification callbacks. Object implementing this interface can be passed to the openSession method of a token.

Version:
  1.0
Author:
  Karl Scheibelhofer

Field Summary
`static long` | `CANCEL` This is the code to return in a PKCS11Exception to signal surrender to the library.

Method Summary
`void` | `notify(Session session, boolean surrender, java.lang.Object application)` The module calls this method in certain events.

Field Detail

### CANCEL

    public static final long CANCEL

  This is the code to return in a PKCS11Exception to signal surrender to the library.

Method Detail

### notify

    public void notify(Session session,
                       boolean surrender,
                       java.lang.Object application)
                throws PKCS11Exception

  The module calls this method in certain events. 'Surrender' is the only event defined by now. If the application wants to return an error code, it can do this using PKCS11Exceptions. Throwing no exception means a return value of CKR_OK, and trowing an PKCS11Exception means a return value of the error code of the exception; e.g.`
  throw new PKCS11Exception(PKCS11Constants.CKR_CANCEL);
  `
  causes a return value of CKR_CANCEL.
  Parameters:
    `session` - The session performing the callback.
    `surrender` - See CK_NOTIFICATION in PKCS#11. A return value of CKR_OK is generatd, if this method call returns regularly. CKR_CANCEL can be returned to the module by throwing a PKCS11Exception with the error-code CKR_CANCEL.
    `application` - The application-object passed to openSession.
  Throws:
    `PKCS11Exception` - If the method fails for some reason, or as PKCS11Exception with error-code CKR_CANCEL to signal the module to cancel the ongoing operation.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| IAIK PKCS#11 Wrapper version 1.2.18
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

IAIK JavaSecurity Website http://jce.iaik.tugraz.at/
IAIK at Graz University of Technology, Austria, Europe
Copyright 2001-2004, IAIK, Graz University of Technology, Inffeldgasse 16a, 8010 Graz, Austria. All Rights Reserved. version 1.2.18